---
hide: toc
---

# FAIRmat NeXus documentation

<!-- A single sentence that says what the product is, succinctly and memorably -->

<!-- A paragraph of one to three short sentences, that describe what the product does. -->

<!-- A third paragraph of similar length, this time explaining what need the product meets -->

<!-- Finally, a paragraph that describes whom the product is useful for. -->

<div markdown="block" class="home-grid">
<div markdown="block">

### Tutorial

A series of tutorials giving you an overview on how to store or convert your data to NeXus compliant files.

- [Converting your data to NeXus](tutorial/converting-data-to-nexus.md)
- [Uploading NeXus data to NOMAD](tutorial/nexus-to-nomad.md)

</div>
<div markdown="block">

### How-to guides

How-to guides provide step-by-step instructions for a wide range of tasks:

- [Writing an application definition](how-tos/writing-an-appdef.md)
- [Storing data in multiple application definitions](how-tos/using-multiple-appdefs.md)
- [Representing experimental geometries](how-tos/transformations.md)

</div>

<div markdown="block">

### Learn

An introduction to NeXus and its design principles.

- [An introduction to NeXus](learn/nexus-primer.md)
- [The concept of multiple application definitions](learn/multiple-appdefs.md)



</div>
<div markdown="block">

### Reference

[Here](reference/definitions.md), you find the detailed list of application definitions and base classes and their respective fields.

Or go directly to the [official NIAC](https://manual.nexusformat.org/classes/index.html)
 or [latest FAIRmat](https://fairmat-nfdi.github.io/nexus_definitions/) definitions.

</div>
</div>

<h2>Project and community</h2>
